"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CUSTOM_TEMPLATE = void 0;
const tslib_1 = require("tslib");
const getIntegrations_1 = tslib_1.__importDefault(require("../utils/getIntegrations"));
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const createProject_1 = tslib_1.__importDefault(require("../scripts/createProject"));
const customTemplateStarategy_1 = require("../scripts/initStarategy/customTemplateStarategy");
exports.CUSTOM_TEMPLATE = 'Custom template from Github';
exports.default = async (args) => {
    const cwd = process.cwd();
    const integrationsNames = Object.keys(getIntegrations_1.default);
    let projectName = args.join('-') || args[0];
    if (!projectName) {
        const { typedProjectName } = await inquirer_1.default.prompt([
            {
                type: 'input',
                name: 'typedProjectName',
                message: 'What\'s your project name?',
                validate(value) {
                    if (value.trim().length > 0) {
                        return true;
                    }
                    return 'Please provide longer name';
                }
            }
        ]);
        projectName = typedProjectName.split(' ').join('-') || typedProjectName;
    }
    const { chosenIntegration } = await inquirer_1.default.prompt([
        {
            type: 'list',
            name: 'chosenIntegration',
            message: 'Choose integration',
            choices: [...integrationsNames, exports.CUSTOM_TEMPLATE]
        }
    ]);
    if (chosenIntegration !== exports.CUSTOM_TEMPLATE) {
        await createProject_1.default({
            projectName: projectName,
            targetPath: cwd,
            repositoryLink: getIntegrations_1.default[chosenIntegration]
        });
        return;
    }
    await customTemplateStarategy_1.customTemplateStrategy({ projectName, targetPath: cwd });
};
//# sourceMappingURL=init.js.map