"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const shell = require('shelljs');
const log_1 = tslib_1.__importDefault(require("../../utils/log"));
const removeFolder_1 = require("../../utils/removeFolder");
async function createProject({ projectName, targetPath, repositoryLink }) {
    const templatePath = path_1.default.join(targetPath, projectName);
    try {
        await shell.exec(`git clone ${repositoryLink} ${templatePath}`);
        removeFolder_1.removeFolder(templatePath, '.git');
        log_1.default.success('Integration template initialized successfully');
    }
    catch (error) {
        log_1.default.error('Unable to get integration template from git repository');
    }
}
exports.default = createProject;
//# sourceMappingURL=index.js.map