"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processTemplate = void 0;
const tslib_1 = require("tslib");
const log_1 = tslib_1.__importDefault(require("../../utils/log"));
const processMagicCommentsInNuxtConfig_1 = require("./processMagicCommentsInNuxtConfig");
const removeFolder_1 = require("../../utils/removeFolder");
const execa = require('execa');
const fs = require('fs');
const processTemplate = async ({ vsfTuConfigFilePath, generatedTemplatePath }) => {
    const removeVsfTuConfigFile = () => fs.unlinkSync(vsfTuConfigFilePath);
    try {
        await execa('vsf-tu');
    }
    catch (error) {
        log_1.default.error('Unprocessable template');
        process.exit(1);
    }
    try {
        removeVsfTuConfigFile();
    }
    catch (error) {
        log_1.default.error('Can\'t remove VSF-TU config file');
    }
    await processMagicCommentsInNuxtConfig_1.processMagicCommentsInNuxtConfig(generatedTemplatePath);
    try {
        removeFolder_1.removeFolder(generatedTemplatePath, '_theme');
    }
    catch (error) {
        log_1.default.error('Fail to remove _theme folder');
    }
};
exports.processTemplate = processTemplate;
//# sourceMappingURL=processTemplate.js.map