"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.customTemplateStrategy = void 0;
const tslib_1 = require("tslib");
const createProject_1 = tslib_1.__importDefault(require("../createProject"));
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
async function customTemplateStrategy({ projectName, targetPath }) {
    const { otherIntegrationGitLink } = await inquirer_1.default.prompt([
        {
            type: 'input',
            name: 'otherIntegrationGitLink',
            message: 'Provide integration repository git link via https:',
            validate(value) {
                /* eslint-disable-next-line no-useless-escape*/
                const gitLinkRegex = /https?:(\/\/)?(.*?)(\.git)(\/?|\#[-\d\w._]+?)$/;
                if (value.trim().length === 0 || !gitLinkRegex.test(value)) {
                    return 'Please provide git repository https link';
                }
                return true;
            }
        }
    ]);
    await createProject_1.default({
        projectName: projectName,
        targetPath: targetPath,
        repositoryLink: otherIntegrationGitLink
    });
}
exports.customTemplateStrategy = customTemplateStrategy;
//# sourceMappingURL=customTemplateStarategy.js.map